#######################################################################################
# Book settings
# Learn more at https://jupyterbook.org/customize/config.html

title: "POSITRON: PythOn for Science In The Reblochon cOuNtry" # The title of the book. Will be placed in the left navbar.
author: Ludovic Charleux, Emile Roux, Thibault Goyallon, Christian Elmo, Giovanni Feverati, Camille Saint-Martin # The author of the book
copyright                   : "2022"  # Copyright year to be placed in the footer
logo: logo.png
# # Patterns to skip when building the book. Can be glob-style (e.g. "*skip.ipynb")
# exclude_patterns            : [_build, Thumbs.db, .DS_Store, "**.ipynb_checkpoints"]
# # Auto-exclude files not in the toc
# only_build_toc_files        : false


#######################################################################################
# Execution settings
# Force re-execution of notebooks on each build.
# See https://jupyterbook.org/content/execute.html

execute:
  execute_notebooks         : force  # Whether to execute notebooks at build time. Must be one of ("auto", "force", "cache", "off")
  # cache                     : ""    # A path to the jupyter cache that will be used to store execution artifacts. Defaults to `_build/.jupyter_cache/`
  # exclude_patterns          : []    # A list of patterns to *skip* in execution (e.g. a notebook that takes a really long time)
  # timeout                   : 30    # The maximum time (in seconds) each notebook cell is allowed to run.
  # run_in_temp               : false # If `True`, then a temporary directory will be created and used as the command working directory (cwd),
  #                                   # otherwise the notebook's parent directory will be the cwd.
  # allow_errors              : false # If `False`, when a code cell raises an error the execution is stopped, otherwise all cells are always run.
  # stderr_output             : show  # One of 'show', 'remove', 'remove-warn', 'warn', 'error', 'severe'

#######################################################################################
# LaTeX-specific settings
# Define the name of the latex output file for PDF builds

latex:
  latex_engine              : pdflatex  # one of 'pdflatex', 'xelatex' (recommended for unicode), 'luatex', 'platex', 'uplatex'
  use_jupyterbook_latex     : true # use sphinx-jupyterbook-latex for pdf builds as default
  latex_documents:
    targetname: book.tex

# Add a bibtex file so that we can create citations
bibtex_bibfiles:
  - references.bib


#######################################################################################
# Launch button settings

launch_buttons:
  notebook_interface        : classic  # The interface interactive links will activate ["classic", "jupyterlab"]
  binderhub_url             : https://mybinder.org  # The URL of the BinderHub (e.g., https://mybinder.org)
  jupyterhub_url            : "https://gpu-epu.univ-savoie.fr:8000"  # The URL of the JupyterHub (e.g., https://datahub.berkeley.edu)
  thebe                     : false  # Add a thebe button to pages (requires the repository to run on Binder)
  colab_url                 : "https://colab.research.google.com" # The URL of Google Colab (https://colab.research.google.com)

# Information about where the book exists on the web
repository:
  url: https://github.com/symmeHub/positron  # Online location of your book
  path_to_book: book  # Optional path to your book, relative to the repository root
  branch: main  # Which branch of the repository should be used when creating links (optional)


#######################################################################################
# HTML-specific settings
# Add GitHub buttons to your book
# See https://jupyterbook.org/customize/config.html#add-a-link-to-your-repository
html:
  favicon                   : ""  # A path to a favicon image
  use_edit_page_button      : false  # Whether to add an "edit this page" button to pages. If `true`, repository information in repository: must be filled in
  use_repository_button     : true  # Whether to add a link to your repository button
  use_issues_button         : true  # Whether to add an "open an issue" button
  use_multitoc_numbering    : true   # Continuous numbering across parts/chapters
  extra_navbar              : Powered by <a href="https://jupyterbook.org">Jupyter Book</a>  # Will be displayed underneath the left navbar.
  extra_footer              : ""  # Will be displayed underneath the footer.
  google_analytics_id       : ""  # A GA id that can be used to track book views.
  home_page_in_navbar       : true  # Whether to include your home page in the left Navigation Bar
  baseurl                   : ""  # The base URL where your book will be hosted. Used for creating image previews and social links. e.g.: https://mypage.com/mybook/
  comments:
    hypothesis              : false
    utterances              : false


#######################################################################################
# Parse and render settings
parse:
  myst_enable_extensions:  # default extensions to enable in the myst parser. See https://myst-parser.readthedocs.io/en/latest/using/syntax-optional.html
    # - amsmath
    - colon_fence
    # - deflist
    - dollarmath
    # - html_admonition
    - html_image
    - linkify
    # - replacements
    # - smartquotes
    - substitution
    - tasklist
  myst_url_schemes: [mailto, http, https] # URI schemes that will be recognised as external URLs in Markdown links
  myst_dmath_double_inline: true  # Allow display math ($$) within an inline context

sphinx:
  config:
    mathjax_path: https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js  
    html_js_files:
    - https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js
